Update a Knowledge Store - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Update a Knowledge Store

PATCH

/v2.0/knowledgestores/{knowledgeStoreId}

cURL

curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{\n  "name": "mystore",\n  "description": "mystore description"\n}\n'

Python

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}"

payload = {
    "name": "mystore",
    "description": "mystore description"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'mystore', description: 'mystore description'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "PATCH",\
  CURLOPT_POSTFIELDS => json_encode([\
    'name' => 'mystore',\
    'description' => 'mystore description'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}"

payload := strings.NewReader("{\n  \"name\": \"mystore\",\n  \"description\": \"mystore description\"\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Error Responses

400 Bad Request

{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

401 Unauthorized

{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

Authorizations

X-API-Key
Required in HTTP Header

Supply the API Key in the HTTP-Header.

Headers

Accept
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv

Path Parameters

knowledgeStoreId
string, required
The Id of the KnowledgeStore.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

name
string
The name of the KnowledgeStore.
Example:
"mystore"

description
string
The description about what the knowledge store contains.
Example:
"mystore description"

Response

204
Successfully updated knowledge store.